$(function(){
  $('.chat').bind('message-print',function(e,data){
    var item=data.item;
    var msg=data.msg;
    if(msg.type=='me'){
      item.addClass('msg-item-common msg-item-type-right').append('<div class="clearfix"></div>');
      
      if(!window.show_userid){
        item.find('.im_to').empty();
      }
      $('<span><img src="'+msg.avatar+'" class="avatar" width="16" height="16" /></span>').insertBefore(item.find('.im_to'));
    }else if(msg.type=='user'){
      item.addClass('msg-item-common msg-item-type-left').append('<div class="clearfix"></div>');
      $('<span><img src="'+msg.avatar+'" class="avatar" width="16" height="16" /></span>').insertBefore(item.find('.im_from'));
    }
    item.find('.im_from,.im_to,.avatar').css({cursor:'pointer'});
    if(typeof _admin_btn=='function'){
      item.find('.im_from,.im_to,.avatar').unbind('click').bind('click',function(){
        _admin_btn($(this).parents('.msg-item'));
      });
    }
    
    if(group.is_master(msg.userid)){
      item.addClass('msg-item-isadmin');
    }
  });
  group.toBottom();
});